"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _baseCreate = require("./_baseCreate.js");
const _getPrototype = require("./_getPrototype.js");
const _isPrototype = require("./_isPrototype.js");
function initCloneObject(object) {
  return typeof object.constructor == "function" && !_isPrototype.default(object) ? _baseCreate.default(_getPrototype.default(object)) : {};
}
exports.default = initCloneObject;
